Bug 15902 - Remove use of recordpayment in process_koc.pl
Summary: Remove use of recordpayment in process_koc.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 15895
Blocks: 15899
  Show dependency treegraph
 
Reported: 2016-02-24 15:31 UTC by Kyle M Hall
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15902 - Remove use of recordpayment in process_koc.pl (2.08 KB, patch)
2016-02-24 15:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15902 - Remove use of recordpayment in process_koc.pl (2.09 KB, patch)
2016-06-07 15:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15902 - Remove use of recordpayment in process_koc.pl (2.14 KB, patch)
2016-08-23 09:25 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 15902 [QA Followup] - Use Koha::Patrons instead of Koha::Borrowers (1.19 KB, patch)
2016-09-06 15:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15902 - Remove use of recordpayment in process_koc.pl (2.14 KB, patch)
2016-09-28 11:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15902 [QA Followup] - Use Koha::Patrons instead of Koha::Borrowers (1.19 KB, patch)
2016-09-28 11:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15902 - Remove use of recordpayment in process_koc.pl (2.21 KB, patch)
2016-09-28 11:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15902 [QA Followup] - Use Koha::Patrons instead of Koha::Borrowers (1.26 KB, patch)
2016-09-28 11:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-02-24 15:31:22 UTC

    
Comment 1 Kyle M Hall 2016-02-24 15:32:14 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2016-03-25 07:59:57 UTC
Adding the payment to the queue and then processing it works.

Applying the payment directly does not work. Firebug shows a call to jquery.js over and over again.

> http://192.168.2.11:8080/cgi-bin/koha/tools/background-job-progress.pl?jobID=1f05eb29131838b2ce1466eed03feebc
Comment 3 Kyle M Hall 2016-04-19 10:43:14 UTC
(In reply to Mirko Tietgen from comment #2)
> Adding the payment to the queue and then processing it works.
> 
> Applying the payment directly does not work. Firebug shows a call to
> jquery.js over and over again.

I was unable to replicate your issue. I was able to apply the payment both via the queue and directly with no issues!
Comment 4 Kyle M Hall 2016-06-07 15:11:38 UTC Comment hidden (obsolete)
Comment 5 Josef Moravec 2016-08-23 09:25:24 UTC
Created attachment 54748 [details] [review]
Bug 15902 - Remove use of recordpayment in process_koc.pl

Test plan:
1) Apply this patch
2) Create an offline circ payment
3) Process the offline circ payment
4) Payment should show in Koha

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Jonathan Druart 2016-08-23 11:23:26 UTC
 FAIL   offline_circ/process_koc.pl
   FAIL   forbidden patterns
                forbidden pattern: Koha::Borrower has been moved by bug 15548 (line 367)
Comment 7 Kyle M Hall 2016-09-06 15:05:32 UTC
Created attachment 55260 [details] [review]
Bug 15902 [QA Followup] - Use Koha::Patrons instead of Koha::Borrowers

Since the initial submission of this patch, the module Koha::Borrowers
has been moved to Koha::Patrons. This patch changes the call from
Koha::Borrowers to Koha::Patrons.
Comment 8 Jonathan Druart 2016-09-28 11:09:07 UTC
Created attachment 55875 [details] [review]
Bug 15902 - Remove use of recordpayment in process_koc.pl

Test plan:
1) Apply this patch
2) Create an offline circ payment
3) Process the offline circ payment
4) Payment should show in Koha

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 9 Jonathan Druart 2016-09-28 11:09:13 UTC
Created attachment 55876 [details] [review]
Bug 15902 [QA Followup] - Use Koha::Patrons instead of Koha::Borrowers

Since the initial submission of this patch, the module Koha::Borrowers
has been moved to Koha::Patrons. This patch changes the call from
Koha::Borrowers to Koha::Patrons.
Comment 10 Jonathan Druart 2016-09-28 11:11:15 UTC
Created attachment 55880 [details] [review]
Bug 15902 - Remove use of recordpayment in process_koc.pl

Test plan:
1) Apply this patch
2) Create an offline circ payment
3) Process the offline circ payment
4) Payment should show in Koha

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Jonathan Druart 2016-09-28 11:11:19 UTC
Created attachment 55881 [details] [review]
Bug 15902 [QA Followup] - Use Koha::Patrons instead of Koha::Borrowers

Since the initial submission of this patch, the module Koha::Borrowers
has been moved to Koha::Patrons. This patch changes the call from
Koha::Borrowers to Koha::Patrons.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Kyle M Hall 2016-09-29 11:17:13 UTC
Pushed to master for 16.11!